Bug 1650275 - yum4 list available --showduplicates will list not only available packages but packages installed on the system. [NEEDINFO]
Summary: yum4 list available --showduplicates will list not only available packages bu...
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: dnf
Version: 7.6
Hardware: All
OS: All
low
low
Target Milestone: rc
: ---
Assignee: Jaroslav Mracek
QA Contact: BaseOS QE Security Team
URL:
Whiteboard:
Depends On:
Blocks: 1630909 1655605
TreeView+ depends on / blocked
 
Reported: 2018-11-15 17:54 UTC by jcastran
Modified: 2019-07-18 12:02 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
: 1655605 (view as bug list)
Environment:
Last Closed: 2019-07-18 12:02:22 UTC
Target Upstream Version:
dapospis: needinfo? (jmracek)


Attachments (Terms of Use)

Description jcastran 2018-11-15 17:54:35 UTC
Description of problem:
yum4 list available --showduplicates will list not only available packages but packages installed on the system.

# yum list available kernel --showduplicates --disablerepo=rhel-7-server-rpms
   Error: No matching Packages to list

# yum4 list available kernel --showduplicates --disablerepo=rhel-7-server-rpms
   Available Packages
   kernel.x86_64                           3.10.0-862.3.3.el7                             @System
   kernel.x86_64                           3.10.0-862.11.6.el7                            @System
   kernel.x86_64                           3.10.0-957.el7                                 @System

If the package is actually available, it will show it twice. Once as @System  and once in the repo

# yum4 list available kernel --showduplicates 
   <snip>
   kernel.x86_64                      3.10.0-862.3.3.el7                       @System           
   kernel.x86_64                      3.10.0-862.3.3.el7                       rhel-7-server-rpms
   kernel.x86_64                      3.10.0-957.el7                           @System           
   kernel.x86_64                      3.10.0-957.el7                           rhel-7-server-rpms

================================================


Version-Release number of selected component (if applicable):
nextgen-yum4-2.7.5-17.el7.noarch
python2-dnf-2.7.5-17.el7.noarch
libdnf-0.11.1-3.el7.x86_64
dnf-data-2.7.5-17.el7.noarch
dnf-2.7.5-17.el7.noarch


How reproducible:
everytime

Steps to Reproduce:
1. # yum4 list available kernel --showduplicates --disablerepo=rhel-7-server-rpms
2.
3.

Actual results:
   Available Packages
   kernel.x86_64                           3.10.0-862.3.3.el7                             @System
   kernel.x86_64                           3.10.0-862.11.6.el7                            @System
   kernel.x86_64                           3.10.0-957.el7                                 @System


Expected results:
   Error: No matching Packages to list


Additional info:
I would consider a package only Available if you could access it. An installed package is not accessible. yum4 output would agree.

# yum4 reinstall kernel-3.10.0-862.3.3.el7 --disablerepo=rhel-7-server-rpms
   Installed package kernel-3.10.0-862.3.3.el7.x86_64 not available.

Comment 2 Jaroslav Mracek 2019-03-07 17:59:57 UTC
I create a patch that prevent adding installed packages into list of availables (https://github.com/rpm-software-management/dnf/pull/1349).

Comment 4 Daniel Mach 2019-07-18 12:02:22 UTC
This bug is not planned to be addressed during Red Hat Enterprise Linux 7 life-cycle.
Please contact Red Hat support if you wish to have it reconsidered.


Note You need to log in before you can comment on or make changes to this bug.